%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Module-CPANTS-Analyse
Version:       0.87
Release:       1mamba
Summary:       Module::CPANTS::Analyse - tests a dist for Kwalitee
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/modules/by-module/Module/Module-CPANTS-Analyse-%{version}.tar.gz
License:       GPL, Artistic License
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-Archive-Any
BuildRequires: perl-Array-Diff
BuildRequires: perl-CPAN-DistnameInfo
BuildRequires: perl-devel
BuildRequires: perl-File-Find-Rule
BuildRequires: perl-File-Slurp
BuildRequires: perl-IO-Capture
BuildRequires: perl-libwww
BuildRequires: perl-List-MoreUtils
BuildRequires: perl-Module-ExtractUse
BuildRequires: perl-Pod-Simple
BuildRequires: perl-Readonly
BuildRequires: perl-Software-License
BuildRequires: perl-Test-YAML-Meta
BuildRequires: perl-Text-CSV_XS
BuildRequires: perl-version
BuildRequires: perl-YAML-Syck
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %perl_major_ver
BuildRequires: perl-Archive-Tar
BuildRequires: perl-Class-Accessor
BuildRequires: perl-File-chdir
BuildRequires: perl-YAML
BuildRequires: perl-Set-Scalar
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
                                                                                                                                                                                                                                         
%description
Module::CPANTS::Anaylse - tests a dist for Kwalitee.

%prep
%setup -q -n Module-CPANTS-Analyse-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Thu Mar 21 2013 Automatic Build System <autodist@mambasoft.it> 0.87-1mamba
- automatic version update by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 0.85-1mamba
- automatic update by autodist

* Thu Jun 18 2009 Automatic Build System <autodist@mambasoft.it> 0.83-1mamba
- automatic update by autodist

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.82-2mamba
- automatic rebuild by autodist

* Mon Oct 20 2008 gil <puntogil@libero.it> 0.82-1mamba
- update to 0.82

* Fri Nov 09 2007 Aleph0 <aleph0@openmamba.org> 0.73-1mamba
- package created by autospec
